Class | Tk::BLT::DragDrop::Token
In: | tk/lib/tkextlib/blt/dragdrop.rb
Parent: | TkWindow

### Methods

new

### Constants

WidgetClassName | = | 'DragDropToken'.freeze

### Public Class methods

new(arg)

[Source]

    # File tk/lib/tkextlib/blt/dragdrop.rb, line 20
          def initialize(arg)
            if arg.kind_of?(Hash) # arg is a hash includes the widgetpath of token
              arg = _symbolkey2str(arg)
              install_win(nil, arg['widgetname'])
            else  # arg is a drag&drop source
              tk_call('::blt::drag&drop', 'source', arg)
              install_win(nil, tk_call('::blt::drag&drop', 'token', arg))
            end
          end

[Validate]